package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuCategoryAddRequest struct {
	/*
	   类目新增请求模型     */
	Param *domain.AlibabaWdkSkuCategoryAddCategoryDo `json:"param" required:"true" `
}

func (s *AlibabaWdkSkuCategoryAddRequest) SetParam(v domain.AlibabaWdkSkuCategoryAddCategoryDo) *AlibabaWdkSkuCategoryAddRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkSkuCategoryAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkSkuCategoryAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
